org.deidentifier.arx.io

## Class ImportColumnIndexed

- java.lang.Object
- - org.deidentifier.arx.io.ImportColumn
  - - org.deidentifier.arx.io.ImportColumnIndexed

All Implemented Interfaces:
  IImportColumnIndexed

Direct Known Subclasses:
  ImportColumnCSV, ImportColumnExcel

    public abstract class ImportColumnIndexed
    extends ImportColumn
    implements IImportColumnIndexed

Superclass for column types that are only referred to by an index.

Author:
  Karol Babioch, Fabian Prasser
See Also:
  `ImportColumnExcel}`, `ImportColumnCSV}`

### Constructor Summary

Constructors
Constructor and Description
`ImportColumnIndexed(int index, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnIndexed(int index, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnIndexed(int index, java.lang.String aliasName, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnIndexed(int index, java.lang.String aliasName, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnIndexed(java.lang.String name, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnIndexed(java.lang.String name, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnIndexed(java.lang.String name, java.lang.String aliasName, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnIndexed(java.lang.String name, java.lang.String aliasName, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIndex()` Returns the index this column refers to.
`java.lang.String` `getName()` Gets the name.
`boolean` `isIndexSpecified()` Returns whether an index was given.
`void` `setIndex(int index)` Sets the index this columns refers to.
`void` `setName(java.lang.String name)` Sets the name.

### Methods inherited from class org.deidentifier.arx.io.ImportColumn

`getAliasName, getDataType, isCleansing, setAliasName, setCleansing, setDataType`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportColumnIndexed

    public ImportColumnIndexed(int index,
                               DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - `index`
  `datatype` - `ImportColumn.dataType`

#### ImportColumnIndexed

    public ImportColumnIndexed(int index,
                               DataType<?> datatype,
                               boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - `index`
  `datatype` - `ImportColumn.dataType`
  `cleansing` -

#### ImportColumnIndexed

    public ImportColumnIndexed(int index,
                               java.lang.String aliasName,
                               DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - `index`
  `aliasName` - `ImportColumn.setAliasName(String)`
  `datatype` - `ImportColumn.dataType`

#### ImportColumnIndexed

    public ImportColumnIndexed(int index,
                               java.lang.String aliasName,
                               DataType<?> datatype,
                               boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - `index`
  `aliasName` - `ImportColumn.setAliasName(String)`
  `datatype` - `ImportColumn.dataType`
  `cleansing` -

#### ImportColumnIndexed

    public ImportColumnIndexed(java.lang.String name,
                               DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `datatype` -

#### ImportColumnIndexed

    public ImportColumnIndexed(java.lang.String name,
                               DataType<?> datatype,
                               boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `datatype` -
  `cleansing` -

#### ImportColumnIndexed

    public ImportColumnIndexed(java.lang.String name,
                               java.lang.String aliasName,
                               DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `aliasName` -
  `datatype` -

#### ImportColumnIndexed

    public ImportColumnIndexed(java.lang.String name,
                               java.lang.String aliasName,
                               DataType<?> datatype,
                               boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `aliasName` -
  `datatype` -
  `cleansing` -

### Method Detail

#### getIndex

    public int getIndex()

Description copied from interface: `IImportColumnIndexed`
Returns the index this column refers to.

Specified by:
  `getIndex` in interface `IImportColumnIndexed`
Returns:
  `index`

#### getName

    public java.lang.String getName()

Gets the name.

Returns:

#### isIndexSpecified

    public boolean isIndexSpecified()

Returns whether an index was given.

Returns:

#### setIndex

    public void setIndex(int index)

Description copied from interface: `IImportColumnIndexed`
Sets the index this columns refers to.

Specified by:
  `setIndex` in interface `IImportColumnIndexed`
Parameters:
  `index` - `index`

#### setName

    public void setName(java.lang.String name)

Sets the name.

Parameters:
  `name` -